package backend

import (
	"cron_admin/app/http/entities"
)

type CronReportLogsListRequest struct {
	entities.PageRequest
	FuncLogId int64 `json:"func_log_id"` // 日志ID
	CmdId     int64 `json:"cmd_id"`      // 任务ID
	Status    int   `json:"status"`      //	状态
	UserId    int64 `json:"user_id"`     // 用户ID
}

type CronReportLogsListResponse struct {
	ReportId   int64  `json:"report_id"`
	FuncLogId  int64  `json:"func_log_id"`
	CmdId      int64  `json:"cmd_id"`
	UserId     string `json:"user_id"`
	UserName   string `json:"user_name"`
	Data       string `json:"data"`
	FailReason string `json:"fail_reason"`
	CreateTime string `json:"create_time"`
	UpdateTime string `json:"update_time"`
	Status     int    `json:"status"`
}
